%define upstream_name    MusicBrainz-DiscID
%define upstream_version 0.06

%{?perl_default_filter}


Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface for the MusicBrainz libdiscid library
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/pod/MusicBrainz::DiscID
Source0:    https://cpan.metacpan.org/authors/id/N/NJ/NJH/%{upstream_name}-%{upstream_version}.tar.xz

BuildRequires: perl-devel
BuildRequires: libdiscid-devel


%description
MusicBrainz::DiscID is a class to calculate a MusicBrainz DiscID from an audio CD 
in the drive. The coding style is slightly different to the C interface to libdiscid, 
because it makes use of perl's Object Oriented functionality. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

chmod a+w %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/MusicBrainz/DiscID/DiscID.so
# striping fails because of strange permissions so dont strip
#export DONT_STRIP=1

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.md META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri May 22 2020 ghostbunny <ghostbunny at gmx dot de> 0.06-1pclos2020
- initial package
